Package org.eclipse.help.search

# Interface IHelpSearchIndex

public interface IHelpSearchIndex
Represents a Lucene index for one locale. The interface is used to allow participants to delegate indexing of documents outside of the TOC using the same algorithms as those in TOC.

Since:
  3.5
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`IStatus`
`addSearchableDocument(String pluginId, String name, URL url, String id, ISearchDocument doc)`
Adds a document to the search index database by parsing it using one of the file-based search participants, or the default HTML search participant.
`String`
`getLocale()`
A search index is created for each locale.

## Method Details

### addSearchableDocument

IStatus addSearchableDocument(String pluginId, String name, URL url, String id, ISearchDocument doc)
Adds a document to the search index database by parsing it using one of the file-based search participants, or the default HTML search participant. Use this method when encountering documents outside of TOC that are nevertheless of the known format and help system knows how to handle.

Parameters:
  `pluginId` - the id of the contributing plug-in
  `name` - the name of the document
  `url` - the URL of the document using format '/pluginId/href'
  `id` - the unique id of this document as defined in the participant
  `doc` - the document to be added
Returns:
  the status of the operation

### getLocale

String getLocale()
A search index is created for each locale.

Returns:
  the locale associated with this index.